# GET /v1/sessions/{session_id}/git/refs

Source: <https://everruns.com/docs/api/operations/list_refs/>

GET

/v1/sessions/{session\_id}/git/refs

Select code samplecURL (shell:curl)

```js
const url = 'https://app.everruns.com/api/v1/sessions/example/git/refs';
const options = {method: 'GET'};


try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```sh
curl --request GET \
  --url https://app.everruns.com/api/v1/sessions/example/git/refs
```

* Production APIapp.everruns.com/api/v1/sessions/{session\_id}/git/refs

## Parameters

### Path Parameters

**session\_id**

required

string

Session ID

## Responses

### 200

List of refs

Media typeapplication/json

Array\<object>

A git ref (branch pointer)

object

**is\_symbolic**

required

boolean

**name**

required

Human-readable name. Safe to render in user-facing messages.

string

**target**

required

string

##### Examplegenerated

```json
[
  {
    "is_symbolic": true,
    "name": "example",
    "target": "example"
  }
]
```